package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcTitleEvalMapper;
import com.ruoyi.oa.domain.CmcTitleEval;
import com.ruoyi.oa.service.ICmcTitleEvalService;

/**
 * 职称评审Service业务层处理
 * 
 * @author cmc
 * @date 2025-08-18
 */
@Service
public class CmcTitleEvalServiceImpl implements ICmcTitleEvalService 
{
    @Autowired
    private CmcTitleEvalMapper cmcTitleEvalMapper;

    /**
     * 查询职称评审
     * 
     * @param titleEvalId 职称评审主键
     * @return 职称评审
     */
    @Override
    public CmcTitleEval selectCmcTitleEvalByTitleEvalId(String titleEvalId)
    {
        return cmcTitleEvalMapper.selectCmcTitleEvalByTitleEvalId(titleEvalId);
    }

    /**
     * 查询职称评审列表
     * 
     * @param cmcTitleEval 职称评审
     * @return 职称评审
     */
    @Override
    public List<CmcTitleEval> selectCmcTitleEvalList(CmcTitleEval cmcTitleEval)
    {
        return cmcTitleEvalMapper.selectCmcTitleEvalList(cmcTitleEval);
    }

    /**
     * 新增职称评审
     * 
     * @param cmcTitleEval 职称评审
     * @return 结果
     */
    @Override
    public int insertCmcTitleEval(CmcTitleEval cmcTitleEval)
    {
        return cmcTitleEvalMapper.insertCmcTitleEval(cmcTitleEval);
    }

    /**
     * 修改职称评审
     * 
     * @param cmcTitleEval 职称评审
     * @return 结果
     */
    @Override
    public int updateCmcTitleEval(CmcTitleEval cmcTitleEval)
    {
        return cmcTitleEvalMapper.updateCmcTitleEval(cmcTitleEval);
    }

    /**
     * 批量删除职称评审
     * 
     * @param titleEvalIds 需要删除的职称评审主键
     * @return 结果
     */
    @Override
    public int deleteCmcTitleEvalByTitleEvalIds(String[] titleEvalIds)
    {
        return cmcTitleEvalMapper.deleteCmcTitleEvalByTitleEvalIds(titleEvalIds);
    }

    /**
     * 删除职称评审信息
     * 
     * @param titleEvalId 职称评审主键
     * @return 结果
     */
    @Override
    public int deleteCmcTitleEvalByTitleEvalId(String titleEvalId)
    {
        return cmcTitleEvalMapper.deleteCmcTitleEvalByTitleEvalId(titleEvalId);
    }
}
